Loading...
Searching...
No Matches
pcl::CustomPointRepresentation< PointDefault > Class Template Reference

CustomPointRepresentation extends PointRepresentation to allow for sub-part selection on the point. More...

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::CustomPointRepresentation< PointDefault >:

## Public Types

using | Ptr = shared_ptr< CustomPointRepresentation< PointDefault > >
using | ConstPtr = shared_ptr< const CustomPointRepresentation< PointDefault > >
Public Types inherited from pcl::PointRepresentation< PointDefault >
using | Ptr = shared_ptr< PointRepresentation< PointDefault > >
using | ConstPtr = shared_ptr< const PointRepresentation< PointDefault > >

## Public Member Functions

| CustomPointRepresentation (const int max_dim=3, const int start_dim=0)
| Constructor.
Ptr | makeShared () const
void | copyToFloatArray (const PointDefault &p, float *out) const override
| Copy the point data into a float array.
Public Member Functions inherited from pcl::PointRepresentation< PointDefault >
virtual | ~PointRepresentation ()=default
| Empty destructor.
bool | isTrivial () const
| Returns whether this point representation is trivial.
virtual bool | isValid (const PointDefault &p) const
| Verify that the input point is valid.
void | vectorize (const PointDefault &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha.
void | vectorize (const PointDefault &p, float *out) const
void | vectorize (const PointDefault &p, std::vector< float > &out) const
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points.
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation.

## Protected Attributes

int | max_dim_
| Use at most this many dimensions (i.e.
int | start_dim_
| Use dimensions only starting with this one (i.e.
Protected Attributes inherited from pcl::PointRepresentation< PointDefault >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e.
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension.
bool | trivial_
| Indicates whether this point representation is trivial.

## Detailed Description

template<typename PointDefault>
class pcl::CustomPointRepresentation< PointDefault >

CustomPointRepresentation extends PointRepresentation to allow for sub-part selection on the point.

Definition at line 551 of file point_representation.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointDefault >

using pcl::CustomPointRepresentation< PointDefault >::ConstPtr = shared_ptr<const CustomPointRepresentation<PointDefault> >

Definition at line 558 of file point_representation.h.

## Ptr

template<typename PointDefault >

using pcl::CustomPointRepresentation< PointDefault >::Ptr = shared_ptr<CustomPointRepresentation<PointDefault> >

Definition at line 557 of file point_representation.h.

## Constructor & Destructor Documentation

## CustomPointRepresentation()

template<typename PointDefault >

pcl::CustomPointRepresentation< PointDefault >::CustomPointRepresentation | ( | const int | max_dim = `3`,
|  | const int | start_dim = `0`
| ) |  |

inline

Constructor.

Parameters

  [in] | max_dim | the maximum number of dimensions to use
  [in] | start_dim | the starting dimension

Definition at line 564 of file point_representation.h.

References pcl::CustomPointRepresentation< PointDefault >::max_dim_, pcl::PointRepresentation< PointDefault >::nr_dimensions_, and pcl::CustomPointRepresentation< PointDefault >::start_dim_.

## Member Function Documentation

## copyToFloatArray()

template<typename PointDefault >

void pcl::CustomPointRepresentation< PointDefault >::copyToFloatArray | ( | const PointDefault & | p,
|  | float * | out
| ) |  | const

inline override virtual

Copy the point data into a float array.

Parameters

  [in] | p | the input point
  [out] | out | the resultant output array

Implements pcl::PointRepresentation< PointDefault >.

Definition at line 585 of file point_representation.h.

References pcl::PointRepresentation< PointDefault >::nr_dimensions_, and pcl::CustomPointRepresentation< PointDefault >::start_dim_.

## makeShared()

template<typename PointDefault >

Ptr pcl::CustomPointRepresentation< PointDefault >::makeShared | ( |  | ) | const

inline

Definition at line 575 of file point_representation.h.

## Member Data Documentation

## max_dim_

template<typename PointDefault >

int pcl::CustomPointRepresentation< PointDefault >::max_dim_

protected

Use at most this many dimensions (i.e.

the "k" in "k-D" is at most max_dim_) –

Note
  float fields are assumed

Definition at line 594 of file point_representation.h.

Referenced by pcl::CustomPointRepresentation< PointDefault >::CustomPointRepresentation().

## start_dim_

template<typename PointDefault >

int pcl::CustomPointRepresentation< PointDefault >::start_dim_

protected

Use dimensions only starting with this one (i.e.

the "k" in "k-D" is = dim - start_dim_) –

Note
  float fields are assumed

Definition at line 596 of file point_representation.h.

Referenced by pcl::CustomPointRepresentation< PointDefault >::copyToFloatArray(), and pcl::CustomPointRepresentation< PointDefault >::CustomPointRepresentation().

The documentation for this class was generated from the following file:

- pcl/point_representation.h